[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TReadBufStream.Read

Reads data from the stream

## Declaration

Source position: bufstream.pp line 59

`public function TReadBufStream.Read(`
`var ABuffer;`
`ACount: LongInt`
`):Integer; override;`

## Arguments

`ABuffer` |  | Buffer to place read data in
`ACount` |  | Number of bytes to read

## Function result

Number of bytes read

## Description

Read reads at most ACount bytes from the stream and places them in Buffer. The number of actually read bytes is returned.

TReadBufStream first reads whatever data is still available in the buffer, and then refills the buffer, after which it continues to read data from the buffer. This is repeated untill ACount bytes are read, or no more data is available.

## See also

TReadBufStream.Seek |  | Set location in the buffer
TReadBufStream.Read |  | Reads data from the stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net .